Skip to main content
POST
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
termBases
/
searchByJob
Search job's term bases
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "count": 123,
  "offset": 123,
  "reverse": true,
  "withoutTargetSkip": true
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob"

payload = {
"query": "<string>",
"count": 123,
"offset": 123,
"reverse": True,
"withoutTargetSkip": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
count: 123,
offset: 123,
reverse: true,
withoutTargetSkip: true
})
};

fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "searchResults": [
    {
      "concept": {
        "customFields": [
          {
            "fieldName": "<string>",
            "value": {}
          }
        ],
        "definition": "<string>",
        "domain": "<string>",
        "id": "<string>",
        "note": "<string>",
        "subDomains": [
          "<string>"
        ],
        "url": "<string>"
      },
      "sourceTerm": {
        "text": "<string>",
        "caseSensitive": true,
        "conceptId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "customFields": [
          {
            "fieldName": "<string>",
            "value": {}
          }
        ],
        "exactMatch": true,
        "forbidden": true,
        "id": "<string>",
        "lang": "<string>",
        "modifiedAt": "2023-11-07T05:31:56Z",
        "modifiedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "note": "<string>",
        "preferred": true,
        "rtl": true,
        "shortTranslation": "<string>",
        "usage": "<string>",
        "writable": true
      },
      "termBase": {
        "id": 123,
        "name": "<string>",
        "readonly": true,
        "sourceUrl": "<string>",
        "uid": "<string>"
      },
      "translationTerms": [
        {
          "text": "<string>",
          "caseSensitive": true,
          "conceptId": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "customFields": [
            {
              "fieldName": "<string>",
              "value": {}
            }
          ],
          "exactMatch": true,
          "forbidden": true,
          "id": "<string>",
          "lang": "<string>",
          "modifiedAt": "2023-11-07T05:31:56Z",
          "modifiedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "note": "<string>",
          "preferred": true,
          "rtl": true,
          "shortTranslation": "<string>",
          "usage": "<string>",
          "writable": true
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

Job UID

projectUid
string
required

Project UID

Body

application/json
query
string
required
count
integer<int32>

Default: 15

offset
integer<int32>

Default: 0

reverse
boolean

Default: false

withoutTargetSkip
boolean

If response should include records with no term in the target locales. Default: false

Response

OK

searchResults
object[]